<template>
   <web-view :src="src" bindload='pageLoad'></web-view>
</template>

<script>
export default {
  name: 'h5Page',
  props: {
    src: {
      type: [String]
    }
  },
  data() {
  },
  methods: {
    pageLoad (){
       wx.hideLoading()
    }
  },
  onHide() {
  },
  onShareAppMessage: function (res) {
  },
  onShareTimeline: function(res) {
  },
  onShow() {
    wx.show
  },
  onLoad(options) {
     wx.showLoading({
       title: '加载中',
     })
     // 获取页面地址
     this.src =  wx.getStorageSync('webviewUrl') + '&win=mini'
     console.log(this.src)
     setTimeout(function() {
       wx.hideLoading()
     }, 3000);
  }
};
</script>

<style lang="stylus">

</style>
